Forms/urls.py
from django.urls import path
from . import views
app_name = 'Forms'

urlpatterns = [
    path('kegiatan', views.kegiatan, name='kegiatan')
]

accordion/urls.py
from django.urls import path
from . import views
app_name = 'accordion'

urlpatterns = [
    path('accordion', views.accordion, name='accordion')
]

login/urls.py
from django.urls import path
from . import views
app_name = 'login'

urlpatterns = [
    path('login', views.login_view, name='login'),
    path('logout', views.logout_view, name='logout'),
    path('register', views.register_view, name='register')
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.profile, name='profile'),
    path('hobby', views.hobby, name='hobby'),
    path('experience', views.experience, name='experience'),
    path('socmed', views.socmed, name='socmed'),
    path('addjadwal' , views.addjadwal , name='addjadwal'),
    path('jadwal/<str:matkul>' , views.detailjadwal , name = 'detailjadwal'),
    path('jadwal', views.jadwal, name='jadwal'),
    path('delete/<str:matkul>',views.deletejadwal , name = 'deletejadwal'),
    
]

project_django_1906303052/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('login.urls')),
    path('', include('main.urls')),
    path('', include('Forms.urls')),
    path('', include('accordion.urls')),
    path('', include('searchbooks.urls')),
]

searchbooks/urls.py
from django.urls import path
from . import views
app_name = 'searchbooks'

urlpatterns = [
    path('searchbooks', views.searchbooks, name='searchbooks'),
    path('searchbooks/data', views.data, name='books_data'),
]

Forms/models.py
from django.db import models

# Create your models here.
class Forms1 (models.Model):
    Nama = models.CharField(max_length=60)

class Forms2 (models.Model):
    Nama = models.CharField(max_length=60)

class Forms3 (models.Model):
    Nama = models.CharField(max_length=60)

accordion/models.py
from django.db import models

# Create your models here.

login/models.py
from django.db import models

# Create your models here.

main/models.py
from django.db import models

# Create your models here.
class Jadwal (models.Model):
    matkul = models.CharField(max_length=50)
    dosen = models.CharField(max_length=50)
    sks = models.IntegerField()
    deskripsi = models.CharField (max_length=100)
    semester = models.IntegerField ()
    kelas = models.CharField(max_length=20)

searchbooks/models.py
from django.db import models

# Create your models here.

Forms/forms.py
from django import forms
from .models import Forms1,Forms2,Forms3

class Forms_band(forms.ModelForm):
    class Meta:
        model = Forms1
        fields = [
            'Nama',
        ]

class Forms_coding(forms.ModelForm):
    class Meta:
        model = Forms2
        fields = [
            'Nama',
        ]

class Forms_sepeda(forms.ModelForm):
    class Meta:
        model = Forms3
        fields = [
            'Nama',
        ]    

login/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class loginForm(forms.Form):

    username = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type' : 'text',
        'placeholder': "Enter your username",
        'required': True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class': 'form-control',
        'type' : 'password',
        'placeholder': "Enter your password",
        'required': True,
    }))


class registerForm(UserCreationForm):
    class Meta:
        model = User
        fields = [
            'username', 'email', 'password1','password2',
        ]
    

main/forms.py
from django import forms
from .models import Jadwal

class formjadwal(forms.ModelForm):
    class Meta:
        model = Jadwal
        fields = [
            'matkul',
            'dosen',
            'sks',
            'deskripsi',
            'semester',
            'kelas',
        ]

Forms/views.py
from django.shortcuts import render
from .forms import Forms_band,Forms_coding,Forms_sepeda
from .models import Forms1,Forms2,Forms3

# Create your views here.
def kegiatan(request):
    if request.method == 'POST' and 'btn_form_band' in request.POST:
        form_band = Forms_band(request.POST)
        if form_band.is_valid():
            form_band.save()
    elif request.method == 'POST' and 'btn_form_coding' in request.POST:
        form_coding = Forms_coding(request.POST)
        if form_coding.is_valid():
            form_coding.save()
    elif request.method == 'POST' and 'btn_form_sepeda' in request.POST:
        form_sepeda = Forms_sepeda(request.POST)
        if form_sepeda.is_valid():
            form_sepeda.save()
    
    form_band = Forms_band()
    form_coding = Forms_coding()
    form_sepeda = Forms_sepeda()
    peserta_band = Forms1.objects.all()
    peserta_coding = Forms2.objects.all()
    peserta_sepeda = Forms3.objects.all()
    context = {
        'list_peserta_band': peserta_band,
        'list_peserta_coding':peserta_coding,
        'list_peserta_sepeda':peserta_sepeda,
        'form_band':form_band,
        'form_coding':form_coding,
        'form_sepeda':form_sepeda,
        }
    return render(request, 'kegiatan.html' ,context)

accordion/views.py
from django.shortcuts import render

# Create your views here.
def accordion(request):
    return render(request, 'accordionPage.html')

login/views.py
from django.shortcuts import render, redirect
from .forms import loginForm, registerForm
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages

def login_view(request):
    form = loginForm()
    flag = False
    if request.method == "POST":
        form = loginForm(request.POST)
        if form.is_valid():
            uname = form.cleaned_data['username']
            passw = form.cleaned_data['password']
            user = authenticate(request, username=uname, password = passw)
            if user is not None:
                login(request, user)
                flag = True
                response = {'form':form,'user':user,'flag':flag}
                return redirect('/login')
            else:
                response = {'form':form,'user':user,'flag':flag}
                return redirect('/login')
    else:
        response = {'form':form,'flag':flag}
        return render(request,'loginPage.html',response)

def register_view(request):
    if request.user.is_authenticated:
	    return redirect ('/register')
    else:
        form = registerForm()
        if request.method == 'POST':
            form = registerForm(request.POST)
            if form.is_valid():
                form.save()
                user = form.cleaned_data.get('username')
                messages.success(request, 'Account was created for ' + user)

                return redirect('/login')
			

        context = {'form':form}
        return render(request, 'registerPage.html', context)

def logout_view(request):
    logout(request)
    form = loginForm()
    response = {'form':form}
    return redirect('/login')

main/views.py
from django.shortcuts import render
from django.shortcuts import redirect
from .forms import formjadwal
from .models import Jadwal


def profile(request):
    return render(request, 'main/Story3.html')

def hobby(request):
    return render(request, 'main/Story3page2.html')

def experience(request):
    return render(request, 'main/Story3page3.html')

def socmed(request):
    return render(request, 'main/Story3page4.html')

def addjadwal(request):
    form = formjadwal()
    context = {
        'form':form
    }
    return render(request, 'main/AddForm.html' , context)

def jadwal(request):
    if request.method == 'POST':

        form = formjadwal(request.POST)
        if form.is_valid():
            form.save()
    daftarjadwal = Jadwal.objects.all()
    return render(request, 'main/Form.html' , {"daftarjadwal" : daftarjadwal})

def detailjadwal(request , matkul):
    jadwal = Jadwal.objects.get(matkul=matkul)
    return render(request, 'main/DetailJadwal.html' , {"jadwal" : jadwal})
        
def deletejadwal(request , matkul):
    item = Jadwal.objects.get(matkul=matkul)
    item.delete()
    return redirect("/jadwal")    
    

searchbooks/views.py
from django.shortcuts import render
from django.http import JsonResponse
import json
import requests

# Create your views here.
def searchbooks(request):
    response = {}
    return render(request,'searchbooks.html',response)

def data(request):
    try:
        tes = request.GET['q']      
    except:
        tes = "a"
    
    json_read = requests.get('https://www.googleapis.com/books/v1/volumes?q=' + tes).json()

    return JsonResponse(json_read)

accordion/templates/accordionPage.html
{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>

<html>
{% block meta %}

<head>
    <link rel="stylesheet" href="{% static 'css/accordion.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap" rel="stylesheet">
    <script src="{% static 'js/accordion.js' %}"></script>
</head>
<title>Accordion</title>
{% endblock meta %}


{% block content %}
<div class="container">
    <div class="wrapper">
        <div id="judul">Hi my name is Mirza Faisal</div>
        <div id="content-image-page1">
            <img src="{% static 'img/CN35.jpg' %}">
        </div>
        <div>
            <div class="accordion" id="tab-1">
                <div class="accordion_tab">Activities
                    <button class="arrow-down">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                    <button class="arrow-up">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                </div>
                <div class="accordion_content">
                    <li>Kuliah online di Fasilkom Universitas Indonesia</li>
                    <li>Bermain band bersama teman band</li>
                    <li>Nongkrong bersama teman di waktu senggang</li>
                    <li>Bersepeda di akhir pekan</li>
                    <li>Mendengarkan musik hampir setiap saat</li>
                </div>
            </div>

            <div class="accordion" id="tab-2">
                <div class="accordion_tab">Organizations Experiences
                    <button class="arrow-down">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                    <button class="arrow-up">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                </div>
                <div class="accordion_content">
                    <li>Panitia Humpub Open House Fasilkom 2019</li>
                    <li>Panitia Transportation and Venue Compfest 2020 </li>
                </div>
            </div>

            <div class="accordion" id="tab-3">
                <div class="accordion_tab">Achievements
                    <button class="arrow-down">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                    <button class="arrow-up">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                </div>
                <div class="accordion_content">
                    <li>Juara 3 lomba band akustik kota Bogor</li>
                    <li>Sedang mencari-cari</li>
                </div>
            </div>

            <div class="accordion" id="tab-4">
                <div class="accordion_tab">Courses
                    <button class="arrow-down">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                    <button class="arrow-up">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                </div>
                <div class="accordion_content">
                    <li>Program Perancangan Web</li>
                    <li>Dasar-Dasar Pemrograman 2</li>
                    <li>Dasar-Dasar Arsitektur Komputer</li>
                    <li>Administrasi Bisnis</li>
                    <li>Prinsip-Prinsip Manajemen</li>
                    <li>MPK Agama Islam</li>
                </div>
            </div>

            <div class="accordion" id="tab-5">
                <div class="accordion_tab">Favorite Band
                    <button class="arrow-down">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                    <button class="arrow-up">
                        <img src="https://i.imgur.com/XuM2oTr.png" alt="arrow">
                    </button>
                </div>
                <div class="accordion_content">
                    <li>Mew</li>
                    <li>Radiohead</li>
                    <li>The Strokes</li>
                    <li>Arctic Monkeys</li>
                    <li>The Antlers</li>
                    <li>Sore</li>
                </div>
            </div>

        </div>

    </div>
</div>
{% endblock content %}

</html>

login/templates/loginPage.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Login Page</title>
  <link rel="stylesheet" href="{% static 'Story9.css' %}">
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
    <div class="container">
        {% if user.is_authenticated %}
            <h1 class='judul'>Have a nice day {{user.username}} </h1>
            <a href="{% url 'main:profile' %}" >
                <div id="redirect">
                    Click here to go to my website
                </div>
            </a>   
            <div class="tombol">
                <a class='btn btn-primary tombol' href="{% url 'login:logout' %}">Logout</a>
            </div>
        {% else %}
            <h1 class='judul'>Welcome to Mirza's Website<br>You Have to Login First</h1>
        
            <div class='form'>
                <form action="" method="POST">
                    {% csrf_token %} {{ form }}
                    <div class="tombol">
                        <input type="submit" class="btn btn-primary" value="Login" id="submit">
                    </div>
                </form>
            </div>
            <h4 class="judul2">Dont have an account? <a href="{% url 'login:register' %}">Sign Up</a></h4>  
        {% endif %}
    
    </body>
    </div>
</html>

login/templates/registerPage.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Register Page</title>
  <link rel="stylesheet" href="{% static 'Story9.css' %}">
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
    <div class="container">
        <h1 class='judul'>Registration Form</h1>
        <form method="POST">
            {% csrf_token %}
                <div class="form">
                    Username: {{form.username}}
                </div>
                <div class="form">
                    Email: {{form.email}} 
                </div>
                <div class="form">
                    Password: {{form.password1}}
                </div>
                <div class="form">
                    Re-enter Password: {{form.password2}}
                </div>
                <br/>
                <div class="tombol">
                    <input type="submit" class="btn btn-primary tombol" value="Register" id="submit">
                </div>
        </form>
    </body>
    </div>
</html>

main/templates/main/AddForm.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
    <head>
        <title>Mirza's Profile</title>
        <link rel = "stylesheet" href = "{% static 'css/Story3.css' %}" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>


    <body>
        {% block content %}
        <div class = "container">
            <div class="wrapper">
                <header>
                    <div class ="content-for-all">
                        <div id="form-jadwal">
                            <p>Tambah jadwal disini:</p>
                            <form method="POST" action = '/jadwal'>
                                {% csrf_token %}
                                {{ form.as_p }}
                                <input type ='submit' value='submit'/>
                            </form>
                        </div>
                    </div>
                    
                   
                </header>
            </div>
        </div>
        {% endblock content %}        
    </body>

main/templates/main/DetailJadwal.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
    <head>
        <title>Mirza's Profile</title>
        <link rel = "stylesheet" href = "{% static 'css/Story3.css' %}" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>


    <body>
        {% block content %}
        <div class = "container">
            <div class="wrapper">
                <div class = "content-for-all">
                    {% if jadwal %}
                        Mata kuliah : {{ jadwal.matkul }} <br>
                        Dosen : {{ jadwal.dosen }} <br>
                        Jumlah SKS : {{ jadwal.sks }} <br>
                        Deskripsi : {{ jadwal.deskripsi }} <br>
                        Semester : {{ jadwal.semester }} <br>
                        Kelas : {{ jadwal.kelas }} <br>
                    {% else %}
                        <p>No jadwal</p>
                    {% endif %}


                </div>
                
            </div>
        </div>
        {% endblock content %}        
    </body>

main/templates/main/Form.html
{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class = "container">
    <div class="wrapper">
        <div class = "content-for-all">
            Jadwal Saya: <br>
            {% if daftarjadwal %}
                {% for jadwal in daftarjadwal %}
                    <a href = "/jadwal/{{ jadwal.matkul }}" , style = "color:#FFFFFF"> - {{ jadwal.matkul }}</a>
                    <a type="button" class="btn btn-danger btn-sm" href="/delete/{{jadwal.matkul}}" onclick="return confirm('Anda yakin mau menghapus data ini?');">Delete</a>
                    
                <br/>
                {% endfor %}
            {% endif %}
        </div>
        

    </div>
</div>
{% endblock content %}        

main/templates/main/Story3.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
    <head>
        <title>Mirza's Profile</title>
        <link rel = "stylesheet" href = "{% static 'css/Story3.css' %}" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>


    <body>
        {% block content %}
        <div class = "container">
            <div class="wrapper">
                <header>
                    <div id="content-image-page1">
                        <img src = "{% static 'img/CN35.jpg' %}">
                    </div>
                    <div id="content-page1">
                        <p>
                        Nama : Mirza Raevan Faisal <br>
                        Angkatan : 2019 <br>
                        Tempat Kuliah : Universitas Indonesia <br>
                        Deskripsi : Saya cukup mudah bergaul dengan orang baru <br>
                        <br>
                        Riwayat Pendidikan : <br>
                        1. SD Bina Insani (2007-2013) <br>
                        2. SMPN 1 Bogor (2013-2016) <br>
                        3. SMAN 1 Bogor (2016-2019) <br>    
                        4.Universitas Indonesia (2019-sekarang) <br>
                        </p>
                    </div>
                   
                </header>
            </div>
            
        </div>
        {% endblock content %}        
    </body>

main/templates/main/Story3page2.html
{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Mirza's Hobby</title>
        <link rel = "stylesheet" href = "{% static 'css/Story3.css' %}" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>

    
    <body>
        {% block content %}    
        <div class="container">
            <div class="wrapper">
                <div class="row">
                    <div class="column-page2-page4">
                        <div id="content1-page2">
                            <img src = "{% static 'img/gitar.png' %}" >
                            <div class="content-for-all">
                                <p id = "p1-page2">Bermain Musik</p>
                            </div>
                        </div>
                    </div>
                    <div class="column-page2-page4">
                        <div id = "content2-page2" >
                            <img src = "{% static 'img/ngobrol.png' %}" >
                            <div class="content-for-all">
                                <p id = "p2-page2">Hangout Bersama Teman</p>
                            </div>
                        </div>
                    </div>
                    <div class="column-page2-page4">
                        <div id = "content3-page2">
                            <img src = "{% static 'img/sepedah.png' %}" >
                            <div class="content-for-all">
                                <p id = "p3-page2">Bersepeda</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    {% endblock content %}
    </body>

main/templates/main/Story3page3.html
{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Mirza's Experience</title>
        <link rel = "stylesheet" href = "{% static 'css/Story3.css' %}" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>

    <body>
        
        {% block content %}  
        <div class="container">
            <div class="wrapper">
                <div class="row">
                    <div class="column-page3">
                        <div id="content1-page3">
                            <img src = "{% static 'img/oh.png' %}" >
                            <div class="content-for-all">
                                <p id = "p1-page3">Panitia Humas dan Publikasi OpenHouse Fasilkom UI 2019</p>
                            </div>
                        </div>
                    </div>
                    <div class="column-page3">
                        <div id = "content2-page3" >
                            <img src = "{% static 'img/compfest.png' %}" >
                            <div class="content-for-all">
                                <p id = "p2-page3">Panitia Transportation & Venue Compfest 2020</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
            
        
    {% endblock content %}  
    </body>

main/templates/main/Story3page4.html
{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <title>Mirza's Social Media</title>
        <link rel = "stylesheet" href = "{% static 'css/Story3.css' %}" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>

    <body>
        {% block content %}  
        <div class="container">
            <div class="wrapper">
                <div class="content-for-all">
                    <p id = "p-page4">You can find me on:</p>
                </div>
                <div class="row">
                    
                    <div class="column-page2-page4">
                        <div id="content1-page4">
                            <a href = "https://www.instagram.com/mirzaraevan/" target="_blank" >
                                <img src = "{% static 'img/instagram.png' %}">
                            </a>
                        </div>
                    </div>
                    <div class="column-page2-page4">
                        <div id = "content2-page4" >
                            <a href = "https://music.apple.com/id/playlist/m0o0o0odd/pl.u-06oxDlbCWkM28eM" target="_blank">
                                <img src = "{% static 'img/applemusic.png' %}">
                            </a>
                        </div>
                    </div>
                    <div class="column-page2-page4">
                        <div id = "content3-page4">
                            <a href = "https://twitter.com/mirzaraevan" target="_blank">
                                <img src = "{% static 'img/twitter.png' %}" >
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    {% endblock content %}  
    </body>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/Story3.css' %}">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
 


  {% block meta %}
  {% endblock meta %}
</head>

<body>
    <div class="title">
        My Profile    
    </div>

    <div class = "nav-container" role ="navigation">
        <nav class="navbar navbar-expand">
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                <div class="navbar-nav d-flex justify-content-around">
                    <div class="p-1">
                        <a class="nav-link active menu-animation" href="{% url 'main:profile' %}">
                            <div class="navbar-menu {% if request.path == '/' %}text-active{% endif %}">
                                Profile
                            </div> 
                            <span class="sr-only">
                                (current)   
                            </span>
                        </a>
                    </div>
                    <div class="p-1">
                        <a class="nav-link menu-animation" href="{% url 'main:hobby' %}">
                            <div class="navbar-menu {% if 'hobby' in request.path %}text-active{% endif %}">
                                Hobby
                            </div>
                        </a>
                    </div>
                    <div class="p-1">
                        <a class="nav-link menu-animation" href="{% url 'main:experience' %}">
                            <div class="navbar-menu {% if 'experience' in request.path %}text-active{% endif %}">
                                Experience
                            </div>
                        </a>
                    </div>
                    <div class="p-1">
                        <a class="nav-link menu-animation" href="{% url 'main:socmed' %}">
                            <div class="navbar-menu {% if 'socmed' in request.path %}text-active{% endif %}">
                                Social Media
                            </div>
                        </a>
                    </div>
                    <div class="p-1">
                        <a class="nav-link menu-animation" href="{% url 'main:addjadwal' %}">
                            <div class="navbar-menu {% if 'addjadwal' in request.path %}text-active{% endif %}">
                                Adding
                                Schedule
                            </div>
                        </a>
                        
                    </div>
                    <div class="p-1">
                        <a class="nav-link menu-animation" href="{% url 'main:jadwal' %}">
                            <div class="navbar-menu {% if '/jadwal' in request.path %}text-active{% endif %}">
                                Schedule
                            </div>
                        </a>
                        
                    </div>

                    
                </div>

            </div>
        </nav>
        
    </div>

    {% block content %}
    {% endblock content %}
    </body>
</html>